<div class="common-profile-header">{{'labelWishlist' | translate: lang}}</div>
<!-- <div class="wrapTableTech" *ngIf="myWishList.length > 0">
  <div class="blocTech">
    <div class="tech-cell">{{'labelSno' |translate: lang}}</div>
    <div class="tech-cell text-left">{{'labelImage' |translate: lang}}</div>
    <div class="tech-cell text-left">{{'labelName' |translate: lang}}</div>
    <div class="tech-cell text-left">{{'labelStock' |translate: lang}}</div>
    <div class="tech-cell">{{'labelPrice' |translate: lang}}</div>
    <div class="tech-cell">{{'labelAction' |translate: lang}}</div>
  </div>
  <div class="blocCat">
    <div class="tech-row" *ngFor="let product of myWishList">
      <div class="tech-value">
        <span>{{product.sno}}</span>
      </div>
      <div class="tech-value whistlist-image text-left wishlist-cursor" routerLink="/product-detail/{{product.productId}}">
        <img class="img-responsive" [title]="product.productName" [src]="product.productImage" [alt]="product.productName">
      </div>
      <div class="tech-value text-left wishlist-cursor">
        <div class="whistlist-list-name" [title]="product.productName" routerLink="/product-detail/{{product.productId}}">
          {{product.productName}}
        </div>
      </div>
      <div class="tech-value">
        <div class="stock-avalability" [title]="(product.quantity - product.soldOut) === 0 ? product.lowStockName : ('labelAvailable' | translate: lang)" [ngClass]="{'stock-non-avalability': (product.quantity - product.soldOut) === 0, 'stock-avalability': (product.quantity - product.soldOut) !== 0}">
          {{((product.quantity - product.soldOut) === 0 ? product.lowStockName : ('labelAvailable' | translate: lang))}}
        </div>
      </div>
      <div class="tech-value">
        <h6 class="whislist-product-price">
          {{product.currencySymbol}}{{(product.discountAmount === 0 ? product.salesPrice : product.discountAmount)}}
          <span *ngIf="showDiscount !== 0 && product.discountAmount !== 0">{{product.currencySymbol}}{{product.salesPrice}}</span>
        </h6>
      </div>
      <div class="tech-value">
        <button type="button" class="btn btn-default whistlist-icon ">
          <i class="fa fa-shopping-cart" [title]="product.cartUser === 0 ? ((product.quantity - product.soldOut) !== 0 ? ('titleAddToCart' | translate: lang) : ('labelOutOfStock' | translate: lang)) : ('titleGoToCart' | translate: lang)" aria-hidden="true" (click)="getProductAction(product, 'cart')"></i>
          <i class="fa fa-trash-o" [title]="'titleDelete' | translate: lang" aria-hidden="true" (click)="getProductAction(product.favouriteId, 'removeWishlist')"></i>
        </button>
      </div>
    </div>
    <div class="wishlist-btn" *ngIf="wishlistTotalLength > this.wishlistCount.END_COUNT">
      <div class="tech-value" >
        <button [disabled]="currentPage === 1" (click)="showProductsLeft()" mat-raised-button color="primary" class="btn btn-default"> < </button>
      </div>
      <div class="tech-value" >
        <button [disabled]="currentPage === totalPages" (click)="showProductsRight()" mat-raised-button color="primary" class="btn btn-default"> > </button>
      </div>
    </div>
  </div>
</div> -->
<div class="col-md-12 mb-4">
  <div class="wishlist-table-card">
    <div class="wish-table">
      <table mat-table [dataSource]="myWishList" matSort>
        <ng-container matColumnDef="sno">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelSno' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element"> {{element.sno}} </td>
        </ng-container>
        <ng-container matColumnDef="productImage">
          <th mat-header-cell *matHeaderCellDef> {{'labelImage' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element">
            <div class="tech-value whistlist-image text-left wishlist-cursor" routerLink="/product-detail/{{element.productId}}">
              <img class="img-responsive" [title]="element.productName" [src]="element.productImage" [alt]="element.productName">
            </div>
          </td>
        </ng-container>
        <ng-container matColumnDef="productName">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelName' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element" routerLink="/product-detail/{{element.productId}}">
            <div class="tech-value text-left wishlist-cursor whist-pname">
              {{element.productName}}
            </div>
          </td>
        </ng-container>
        <ng-container matColumnDef="lowStock">
          <th mat-header-cell *matHeaderCellDef> {{'labelStock' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element">
            <div *ngIf='element.isActive === 1' class="stock-avalability" [title]="element.lowStock ? element.lowStockName : ('labelAvailable' | translate: lang)"
                 [ngClass]="{'stock-non-avalability': element.lowStock, 'stock-avalability': !element.lowStock}">
              {{(element.lowStock ? element.lowStockName : ('labelAvailable' | translate: lang))}}
            </div>
            <div *ngIf='element.isActive === 0' class="stock-avalability" [title]="'labelInActive' | translate: lang"
                 [ngClass]="{'stock-non-avalability': 'labelInActive' | translate: lang}">
              {{'labelInActive' | translate: lang}}
            </div>
          </td>
        </ng-container>
        <ng-container matColumnDef="price">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="mat-decimal-column" arrowPosition='before'> {{'labelPrice' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element" class="mat-decimal-column">
            <h6 class="whislist-product-price ">
              <span *ngIf="showDiscount !== 0 && element.taxDiscountPrice !== 0">{{element.taxSalesPrice | customCurrencyFormat}}</span>
              {{(element.taxDiscountPrice === 0 ?
                (element.taxSalesPrice | customCurrencyFormat) : (element.taxDiscountPrice | customCurrencyFormat))}}
            </h6>
          </td>
        </ng-container>
        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef> {{'labelAction' | translate: lang }} </th>
          <td mat-cell *matCellDef="let element">
            <div class="whistlist-icon common-action-v1">
              <button *ngIf='element.isActive === 1' class="mr-3" (click)="getProductAction(element, 'cart')"> 
                <i class="fa fa-shopping-cart" [title]="element.cartUser === 0 ? (!element.lowStock ? ('titleAddToCart' | translate: lang) : ('labelOutOfStock' | translate: lang)) : ('titleGoToCart' | translate: lang)"
                   aria-hidden="true"></i>
              </button>
              <button (click)="getProductAction(element.favouriteId, 'removeWishlist')">
                <i class="fas fa-trash" [title]="'titleDelete' | translate: lang" aria-hidden="true"></i>
              </button>
            </div>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true;"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <div class="no-data-found" *ngIf="!isLoading && (myWishList === undefined || myWishList.data.length === 0)">
      <span class="align-bottom">
        {{'labelNoWishlist' | translate: lang}}
      </span>
      </div>
    </div>
    <div class="common-pagination">
      <app-common-pagination [offset]="offSet" [limit]="limit" [size]="totalRecord" (pageChange)="onPageChange($event)"></app-common-pagination>
    </div>
  </div>

</div>
